/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich  -  angepasst an AVR-NET-IO durch ** EHB **
 Remarks:        
 known Problems: none
 Version:        20.02.2009
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am Ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseite
PROGMEM char Page1[] = {
	"<head>"
	// Automatisches neuladen dieser Seite, alle 5 Sekunden
	"<META HTTP-EQUIV=\"CACHE-CONTROL\" CONTENT=\"NO-CACHE\", \"must-revalidate\", \"max_age=0\">"
	"<META HTTP-EQUIV=\"pragma\" CONTENT=\"no-cache\">"
	"<META HTTP-EQUIV=REFRESH CONTENT=\"5\"; URL=\"index.htm\">" // alle 5 Sekunden"index.htm" neu laden
	// Sonstige Seiteneinstellungen
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\r\n"
	"<title>AVR-NET-IO Webserver</title>\r\n" 
	"<style type=\"text/css\">\r\n"
	
	"<!--\r\n"
	"BODY {	margin: 0 0 0 0; background-color: white; text-align:center; }\r\n"
	"P, DIV, H1, H2 {font-family: verdana, arial; font-size: 11px;}\r\n"
	"H1 {  background-color: #CCCCFF; padding-top:5px; padding-bottom:5px;" // Schriftart 1
	"font-size: 20px; color: #004060; font-weight:bold; letter-spacing: 8px;"
	"border-top: 2px solid #EEEEEE; border-left: 2px solid #EEEEEE;"
	"border-bottom: 2px solid #004060; border-right: 2px solid #004060;}\r\n"
	"H2 { font-size: 15px; padding-top: 20px; padding-left:50px; padding-right:50px;" // Schriftart 2  
	"color:#004080; font-weight:bold; text-decoration:underline;"
	"border-top: 1px solid #004080;} P, H1, H2 {margin: 0px 0px 5px 0px;}\r\n"
	"-->\r\n"
	"</style></head>\r\n"

	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<body><div align=\"center\">\r\n"
	"<h1>AVR-NET-IO Webserver</h1>\r\n"	// berschrift Hauptseite
	"</div><BR>\r\n"
		
	// Tabelle mit Balkendiagramm fr analoger Werte
	"<table align=\"right\" width=\"661\" border=\"1\">\r\n"
	"<tr>\r\n"																	// berschriften
	"<th scope=\"col\"><p align=\"center\">Eingang</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Balkenanzeige</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Messwert</p></th>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 1	
	"<td><p align=\"center\">Port A Pin 4</p></td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\"%VB@04\" height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@04</p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 2
	"<td><p align=\"center\">Port A Pin 5</p></td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\"%VB@05\" height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@05</p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 3
	"<td><p align=\"center\">Port A Pin 6</p>    </td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\"%VB@06\"height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@06</p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 4
	"<td><p align=\"center\">Port A Pin 7</p>    </td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\"%VB@07\"height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@07</p></td>\r\n"
	"</tr>\r\n"
	"</table>\r\n"													
	
	// digitale Eingnge Abfragen (%PINxy x = PORT / y = PIN) und anzeigen
	"<p><B>Eingang</B></p>\r\n"
	"<p><img src=\"%PINA0\" width=\"17\" height=\"17\"> Port A Pin 0      </p>\r\n"	
	"<p><img src=\"%PINA1\" width=\"17\" height=\"17\"> Port A Pin 1      </p>\r\n"	
	"<p><img src=\"%PINA2\" width=\"17\" height=\"17\"> Port A Pin 2      </p>\r\n"	
	"<p><img src=\"%PINA3\" width=\"17\" height=\"17\"> Port A Pin 3      </p>\r\n"	
	"<br>\r\n"
	"<br>\r\n"
	
	// Tabelle mit Checkboxen zur Steuerung der Ausgnge ------------------------------------
	// siehe hierzu httpd.c ab Zeile 124 und 172
	// Start Eingabeformular "index.htm"
	"<form name=\"form1\" method=\"post\" action=\"index.htm\">\r\n" 
	"<input type=\"text\" name=\"OUT\" style=\"display:none\" value=\"index.htm\">" // --> fr Auswahl der Postmeldungen
	"<p align=\"left\">&nbsp;    </p>\r\n" // Leerzeichen ohne Zeichenvorschub
	"<p align=\"left\">\r\n"
	
	"<table align=\"right\" width=\"650\" border=\"0\">\r\n" // "versteckte" Tabelle
	"<tr>\r\n"																	// berschriften
	"<th scope=\"col\"><p align=\"center\">Ausgang</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Ausgang</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\"></p></th>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 1	
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"A\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC0>Port C Pin 0</p></td>\r\n"
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"E\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC4>Port C Pin 4</p></td>\r\n"
	"<td><p align=\"center\"></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 2
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"B\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC1>Port C Pin 1</p></td>\r\n"
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"F\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC5>Port C Pin 5</p></td>\r\n"
	"<td><p align=\"center\"></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 3
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"C\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC2>Port C Pin 2</p></td>\r\n"
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"G\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC6>Port C Pin 6</p></td>\r\n"
	"<td><p align=\"center\"></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 4
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"D\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC3>Port C Pin 3</p></td>\r\n"
	"<td><p align=\"center\"><input type=\"checkbox\" name=\"OUT\" value=\"H\" onClick=\"document.getElementsByName('SUB')[0].click();\" %PORTC7>Port C Pin 7</p></td>\r\n"
	"<td><p align=\"center\"></p></td>\r\n"
	"</tr>\r\n"
	"</table><br><br><br><br><br><br><br>\r\n"		

	// Taste "Senden / Seite neu laden"
	"<pre align=\"left\"><input type=\"submit\" name=\"SUB\" value=\"Seite neu laden\"></pre>\r\n"
	"</form>" // Ende Eingabeformular "index.htm"

	//Rechner ber WOL einschalten
    #if USE_WOL
	"<input type=\"checkbox\" name=\"OUT\" value=\"W\">\r\n"
	"<span class=\"Stil2\">Wake On Lan</span></p>\r\n"
	"<div align=\"left\">\r\n"
	#endif //USE_WOL
	
	"<br>\r\n"		// Leerzeile
		
	// Fuleiste
	"<BR> <p align=\"left\"> <h2></h2>\r\n" // Trennlinie
	"<p><a href=\"setup.htm\">Einstellungen</a></p><BR>\r\n" // Link zu Einstellungen
	
	// Link zum Autor
	"<p align=\"left\"><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de</a></p>" // Link zum Autor
	"<BR> <p align=\"left\">Ulrich Radig (2008) - angepasst an AVR-NET-IO durch EHB (2009)</p>\r\n"
	"</body></html>\r\n"
	"\r\n"
	"%END"};	

//----------------------------------------------------------------------------
//Status Seite
PROGMEM char Page2[] = {
	"<head>"
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\r\n"
	"<title>AVR-NET-IO Webserver</title>\r\n" 
	"<style type=\"text/css\">\r\n"
	
	"<!--\r\n"
	"BODY {	margin: 0 0 0 0; background-color: white; text-align:center; }\r\n"
	"P, DIV, H1, H2 {font-family: verdana, arial; font-size: 11px;}\r\n"
	"H1 {  background-color: #CCCCFF; padding-top:5px; padding-bottom:5px;" // Schriftart 1
	"font-size: 20px; color: #004060; font-weight:bold; letter-spacing: 8px;"
	"border-top: 2px solid #EEEEEE; border-left: 2px solid #EEEEEE;"
	"border-bottom: 2px solid #004060; border-right: 2px solid #004060;}\r\n"
	"H2 { font-size: 15px; padding-top: 20px; padding-left:50px; padding-right:50px;" // Schriftart 2  
	"color:#004080; font-weight:bold; text-decoration:underline;"
	"border-top: 1px solid #004080;} P, H1, H2 {margin: 0px 0px 5px 0px;}\r\n"
	"-->\r\n"
	"</style></head>\r\n"

	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<body><div align=\"center\">\r\n"
	"<h1>Einstellungen</h1>\r\n"
	"</div><BR>\r\n"

	// Start Eingabeformular "setup.htm"
	"<form align=\"left\" name=\"form2\" method=\"post\" action=\"setup.htm\">\r\n" 
	"<input type=\"text\" name=\"OUT\" style=\"display:none\" value=\"setup.htm\">" // --> fr Auswahl der Postmeldungen 

	// Tabelle - Anzeigen und ndern der Grundeinstellungen
	// siehe hierzu httpd.c ab Zeile 124 und 172
	"<table align=\"left\" width=\"400\" border=\"1\">\r\n"
	"<tr>\r\n" 																	// Zeile 1	
	"<td><p align=\"center\"><B>MAC-Adresse</B></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MC@00></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MC@01></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MC@02></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MC@03></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MC@04></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MC@05></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 2
	"<td><p align=\"center\"><B>IP-Adresse</B></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MP@00></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MP@01></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MP@02></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%MP@03></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 3
	"<td><p align=\"center\"><B>Netmask</B></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%NM@00></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%NM@01></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%NM@02></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%NM@03></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 4
	"<td><p align=\"center\"><B>Gateway</B></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%GW@00></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%GW@01></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%GW@02></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%GW@03></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 5
	"<td><p align=\"center\"><B>Delta ADC-Ports</B></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=3 value=%DT@00></p></td>\r\n"
	"<td><p align=\"center\"><B>TELNET aktiv</B></p></td>\r\n"
	"<td><p align=\"center\"><input name=\"OUT\" size=1 value=%TN@00></p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"																	// Zeile 4
	"<td><p align=\"center\"><B>Username</B></p></td>\r\n"
	"<td colspan=\"2\"><p align=\"center\"><input type=\"text\" name=\"OUT\" size=6 value=%UN@00></p></td>\r\n"
	"<td><p align=\"center\"><B>Passwort</B></p></td>\r\n"
	"<td colspan=\"2\"><p align=\"center\"><input type=\"password\" name=\"OUT\" size=6 value=%PW@00></p></td>\r\n"
	"</tr>\r\n"
	"</table>\r\n"							

	"<p align=\"left\">&nbsp;    </p>\r\n" // Leerzeichen ohne Zeichenvorschub
	"<p align=\"left\">\r\n"
	
	// Taste "nderungen Senden"	
	"<p align=\"right\"><input type=\"submit\" name=\"SUB\" value=\"nderungen senden\"></p><br><br><br><br><br>\r\n"
	"</form>" // Ende Eingabeformular "setup.htm" 
	
	// Start Eingabeformular "index.htm"
	// Taste "Modulreset"
	"<form name=\"form3\" method=\"post\" action=\"\">\r\n" 
	"<input type=\"text\" name=\"OUT\" style=\"display:none\" value=\"index.htm\">\r\n" // --> fr Auswahl der Postmeldungen
	"<input type=\"hidden\" name=\"OUT\" value=\"R\">"
	"<p align=\"right\"><input type=\"submit\" name=\"SUB\" value=\"Modulreset\"></p>\r\n"
	"</form>" // Ende Eingabeformular "index.htm"
	
	// Start Eingabeformular "index.htm"
	// Taste "Standardwerte wiederherstellen"
	"<form name=\"form4\" method=\"post\" action=\"\">\r\n" 
	"<input type=\"text\" name=\"OUT\" style=\"display:none\" value=\"index.htm\">\r\n" // --> fr Auswahl der Postmeldungen
	"<input type=\"hidden\" name=\"OUT\" value=\"O\">\r\n"
	"<p align=\"right\"><input type=\"submit\" name=\"SUB\" value=\"Grundeinstellungen\"></p><br><br><br><br>\r\n"
	"</form>" // Ende Eingabeformular "index.htm"

	"<p align=\"left\"> <h2></h2>\r\n" // Trennlinie
	"<p align=\"center\"><a href=\"index.htm\">Hauptseite</a></p><BR>\r\n"

	"<p align=\"left\"><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de</a><br></p>\r\n" // Link zum Autor
	"<p align=\"left\"><BR>Ulrich Radig (2008) - angepasst an AVR-NET-IO durch EHB (2009)</p>\r\n" //
	"<p align=\"left\"><BR>Compiliert am "__DATE__" um " __TIME__"<vr> mit GCC Version "__VERSION__"</p>\r\n"
	"</body></html>\r\n"
"%END"};

//----------------------------------------------------------------------------
//Das GIF Bild fr LED on
PROGMEM char led_off[] = //ehemals "led_on[]" ** EHB **
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x11,0x00,0x11,0x00,0xA2,0x07,0x00,0x62,0x62,0x62,
	0x19,0xAD,0x21,0x21,0xE2,0x2C,0xA5,0xA5,0xA5,0x64,0xE6,0x6B,0xA5,0xF3,0xA9,0xD5,
	0xD5,0xD5,0xFF,0xFF,0xFF,0x21,0xF9,0x04,0x01,0x00,0x00,0x07,0x00,0x2C,0x00,0x00,
	0x00,0x00,0x11,0x00,0x11,0x00,0x00,0x03,0x60,0x78,0xAA,0xD6,0xF3,0x66,0xC9,0xD3,
	0xEA,0xBB,0x51,0x56,0x12,0x7A,0x17,0x00,0x30,0x2C,0x4D,0xF1,0x09,0xA8,0xD0,0x85,
	0x59,0x13,0x08,0x44,0x4C,0xA4,0x6A,0x48,0x19,0x2A,0x51,0xEC,0x73,0xBA,0x0E,0x2E,
	0xD8,0xAE,0x10,0xA3,0x05,0x44,0x41,0x1D,0x8F,0x56,0x13,0x0D,0x5E,0xB2,0xA2,0x31,
	0xF4,0x78,0xA1,0x7A,0xCC,0xA3,0xD3,0xCA,0x9C,0x02,0x0C,0x4F,0x6E,0xF7,0x77,0xA8,
	0x76,0x7D,0x36,0x4A,0xE8,0xE4,0xD3,0x8E,0x14,0x83,0xB5,0xC7,0x43,0x9D,0x18,0x42,
	0xF8,0xFC,0x7B,0x52,0x8E,0xE3,0xF7,0x0A,0x09,0x00,0x3B,
	'%','E','N','D'};
	
//----------------------------------------------------------------------------
//Das GIF Bild fr den LED off
PROGMEM char led_on[] = // ehemals "led_off[]" ** EHB **
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x11,0x00,0x11,0x00,0xA2,0x07,0x00,0x57,0x56,0x57,
	0x69,0x69,0x69,0x7E,0x7E,0x7E,0x90,0x91,0x91,0xB0,0xB0,0xB0,0xC8,0xC8,0xC8,0xE7,
	0xE7,0xE7,0xFF,0xFF,0xFF,0x21,0xF9,0x04,0x01,0x00,0x00,0x07,0x00,0x2C,0x00,0x00,
	0x00,0x00,0x11,0x00,0x11,0x00,0x00,0x03,0x6F,0x78,0xAA,0x56,0x45,0xB0,0xAC,0x79,
	0x4C,0x73,0x70,0x68,0x39,0xAD,0x19,0x01,0x20,0x06,0x42,0x49,0x2C,0x56,0x41,0x6A,
	0x43,0x19,0x90,0x01,0x67,0x05,0x03,0x44,0x68,0xA5,0xF0,0x0A,0x55,0xD1,0x12,0x8E,
	0x47,0xCB,0xA5,0x03,0xAA,0x6A,0x85,0xC6,0x2D,0xA7,0xA3,0x39,0x00,0x48,0xCC,0xB0,
	0x34,0x82,0x40,0x6B,0x99,0xA9,0x40,0x04,0xB0,0x0A,0x58,0x38,0x66,0x15,0xC4,0x2C,
	0xBB,0x00,0x02,0x9F,0xCE,0x9C,0x23,0x75,0x0F,0x2D,0x12,0x5B,0x07,0x08,0x28,0x0A,
	0x2E,0x79,0x3B,0xF4,0x56,0x10,0x76,0x7C,0x75,0x7C,0x27,0x13,0x78,0x2F,0x5C,0x55,
	0x14,0x0B,0x37,0x21,0x24,0x84,0x0B,0x09,0x00,0x3B,
	'%','E','N','D'};
	
//----------------------------------------------------------------------------
//Das GIF Bild fr den Balken
PROGMEM char bild_balken[] = 
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x02,0x00,0x0A,0x00,0xA2,0x00,0x00,0xA2,0xA5,0xED,
	0x84,0x8F,0xE5,0x66,0x7C,0xDD,0x49,0x60,0xD6,0x21,0x44,0xDA,0xFE,0x01,0x02,0x00,
	0x00,0x00,0x00,0x00,0x00,0x21,0xF9,0x04,0x05,0x14,0x00,0x05,0x00,0x2C,0x00,0x00,
	0x00,0x00,0x02,0x00,0x0A,0x00,0x00,0x03,0x0A,0x48,0x34,0x23,0x12,0x01,0x48,0x00,
	0x1D,0x53,0x09,0x00,0x3B,'%','E','N','D'};

//Nur Dateiname und Pointer eintragen	
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
	{"index.htm",Page1},
	{"setup.htm",Page2},
//	#if USE_CAM
//	{"camera.jpg",bild_balken},
//	#endif //USE_CAM
	{"balke.gif",bild_balken},
	{"ledon.gif",led_on},
	{"ledoff.gif",led_off},
	{NULL,NULL} 
};

#endif //_WEBPAGE_H,0x00
